﻿-- Broker_Macaroon : A simple Data Broker minimap button replacement by Lightbright@Alexstrasza
-- based on ideas by Macaroon (Maul) and Broker_Recount (Elsia).
-- Most of this code comes from or is inspired by one or both of these addons and the credit
-- should go to them.

local M = Macaroon

if not M then return end
local L = LibStub("AceLocale-3.0"):GetLocale("Broker_Macaroon")

LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("Macaroon", {
	type = "launcher",
	text = L["Macaroon!"],
	OnClick = function(_, msg)
		if (InCombatLockdown()) then return end
		if msg == "LeftButton" then
			if (IsShiftKeyDown()) then
				M.ButtonBind()
			elseif (IsControlKeyDown()) then
				M.OpenMainMenu()
			elseif (IsAltKeyDown()) then
				M.ObjectEdit()
			else
				M.ConfigBars()
			end
		elseif msg == "RightButton" then
			if (IsShiftKeyDown()) then
				M.CreateNewBar("bar")
			elseif (IsControlKeyDown()) then
				M.DeleteBar()
			else
				M.OpenMainMenu()
			end
		end
	end,
	icon = "Interface\\AddOns\\Macaroon\\Images\\macaroon_logo_m",
	OnTooltipShow = function(tooltip)
		if not tooltip or not tooltip.AddLine then return end
		tooltip:AddLine(L["Macaroon!"])
		tooltip:AddLine("|cffffff00"..L["Left-Click"].."|r "..L["to toggle bar editing"])
		tooltip:AddLine("|cffffff00"..L["Shift-"]..L["Left-Click"].."|r "..L["to toggle binding mode"])
		tooltip:AddLine("|cffffff00"..L["Ctrl-"]..L["Left-Click"].."|r "..L["for main menu"])
		tooltip:AddLine("|cffffff00"..L["Alt-"]..L["Left-Click"].."|r "..L["to toggle button editing"])
		tooltip:AddLine("|cffffff00"..L["Right-Click"].."|r "..L["for main menu"])
		tooltip:AddLine("|cffffff00"..L["Shift-"]..L["Right-Click"].."|r "..L["to create a new bar"])
		tooltip:AddLine("|cffffff00"..L["Ctrl-"]..L["Right-Click"].."|r "..L["to delete the currently selected bar"])
		tooltip:AddLine("|cffffff00/mac|r "..L["for command line options"])
	end,
})